%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Portable Windows Libary
Name:		pwlib
Version:	1.5.0
Release:	14mdk
License:	GPL
Group:		System/Libraries

Source0:	http://www.openh323.org/bin/%{name}-%{version}.tar.bz2
Patch1:     pwlib-1.2.12-libname.patch.bz2
# (gb) 1.3.11-4mdk Use system regex() and thus getting rid of non PIC code (RH)
Patch6:		pwlib-1.3.11-libc-regex.patch.bz2
Patch7:		pwlib-1.5.0-lib64.patch.bz2
# (florin) 1.5.0-1mdk fix compilation warning with gcc 3.3 by removing the PINLINE (Seconix)
Patch10:	pwlib-1.5.0-pinline.patch.bz2
Patch11:	pwlib-1.5.0-pat.patch.bz2
#(fc) 1.5.0-6mdk fix make install
Patch12:	pwlib-1.5.0-install.patch.bz2
# (fc) 1.5.0-8mdk fix pwlib prefix
Patch13:	pwlib-1.5.0-pwlibdir.patch.bz2
# (florin) 1.5.0-14mdk replace the $(PWLIBDIR)/include with $(PREFIX)/include
Patch14:	pwlib-1.5.0-includesdir.patch.bz2

URL:		http://www.openh323.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	sed
BuildRequires:  openldap-devel
BuildRequires:  SDL-devel
BuildRequires:  expat-devel
BuildRequires:  openssl-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventeated. Unfortunately this package
contains no GUI code.

%package -n %{lib_name}
Summary:	Portable Windows Libary
Group:		System/Libraries
Provides: %{name}%{lib_major} = %{version}-%{release}
Obsoletes: %{name}%{lib_major}
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
PWLib is a moderately large class library that has its genesis many
years ago asa method to product applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated.  Unfortunately this package
contains no GUI code.

%package -n %{lib_name}-devel
Summary:	Portable Windows Libary development files
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}%{lib_major}-devel = %{version}-%{release}
Obsoletes:  %{name}%{lib_major}-devel
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Header files and libraries for developing applications that use pwlib.

%prep
%setup -q
%patch1 -p1 -b .libname
%patch6 -p1 -b .libc-regex
%patch7 -p1 -b .lib64
%patch10 -p1 -b .pinline
%patch11 -p1 -b .pat
%patch12 -p1 -b .install
%patch13 -p1 -b .pwlibdir
%patch14 -p1 -b .includesdir

%build

%configure2_5x

find $RPM_BUILD_DIR/%{name}-%{version} -type f | xargs perl -p -i -e "s|PWLIBDIR\)/lib|PREFIX\)/lib|";
find $RPM_BUILD_DIR/%{name}-%{version} -type f | xargs perl -p -i -e "s|PWLIBDIR\)/include|PREFIX\)/include|";

#parallel compilation is broken
make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" PWLIBDIR=$RPM_BUILD_DIR/%{name}-%{version} PREFIX=$RPM_BUILD_DIR/%{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}/{ptclib,ptlib/unix/ptlib},%{_bindir},%{_datadir}/%{name}}

make PREFIX=$RPM_BUILD_ROOT%{_prefix} PWLIBDIR=$RPM_BUILD_DIR/%{name}-%{version} install

#fix doc perms
chmod a+r *.txt

#remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_datadir}/pwlib/make/*.{pat,in,lib64,libname,pwlibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root)
%doc *.txt
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_bindir}/*
%{_datadir}/pwlib

%changelog
* Fri Sep 12 2003 Florin <florin@mandrakesoft.com> 1.5.0-14mdk
- patch 14

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-13mdk
- Add missing build requires

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-12mdk
- Recompiled for latest deps

* Mon Jul  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-11mdk
- Update patch12: Fix lib install 

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-10mdk
- Fix bootstrapping (Oden)

* Thu Jul  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-9mdk
- Update patch 13, still some other pwlibdir fixes

* Wed Jul  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-8mdk
- Patch13: fix pwlib prefix in ptlib-config

* Thu Jun 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-7mdk
- Fix devel provides again...

* Tue Jun 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.5.0-6mdk
- Fix devel provides
- various cleaning in specfile
- Enable old patches (fix libname)
- Patch12: fix make install

* Fri Jun 20 2003 Florin <florin@mandrakesoft.com> 1.5.0-5mdk
- do not define PWLIBDIR and OPENH323_DIR anymore

* Thu Jun 19 2003 Florin <florin@mandrakesoft.com> 1.5.0-4mdk
- use the %makeinstall macro

* Wed Jun 18 2003 Florin <florin@mandrakesoft.com> 1.5.0-3mdk
- use mklibname (O.Thauvin's idea)

* Tue Jun 17 2003 Florin <florin@mandrakesoft.com> 1.5.0-2mdk
- forgot the pat patch

* Tue Jun 17 2003 Florin <florin@mandrakesoft.com> 1.5.0-1mdk
- 1.5.0
- D.Sandras patches

* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 1.4.7-3mdk
- rebuild

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-2mdk
- bring back the includes patch for 9.0
- recompile for 9.0

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.4.7-1mdk
- 1.4.7

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.11-4mdk
- Remove Patch7 (includes) for obsolete <sys/vfs.h> hackage
- Patch6: Use system regex() and thus getting rid of non PIC code (RH)
- Patch7: Make it lib64 aware

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-3mdk
- use another path for the mak files

* Tue Oct 29 2002 Florin <florin@mandrakesoft.com> 1.3.11-2mdk
- fix the devel PWLIBDIR variable in the mak files

* Wed Oct 23 2002 Florin <florin@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11

* Tue Oct 08 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.3.9-1mdk
- 1.3.9
- updated patch0, removed patch9

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.3-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3
- patch8 is useless now

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-3mdk
- Automated rebuild with gcc3.2

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.19-2mdk
- Fix Provides: pwlib1-devel. You need %version-%release.

* Mon May 27 2002 Florin <florin@mandrakesoft.com> 1.2.19-1mdk
- 1.2.19

* Mon May 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.17-2mdk
- Patch7: Hack around <sys/vfs.h>
- Patch8: Misc C++ fixes and workarounds
- Patch9: Fix link with gcc3.1

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.2.17-1mdk
- 1.2.17
- comment out the timout and the video patches

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.2.12-2mdk
- add the video patch (patch 6)

* Mon Feb 25 2002 Florin <florin@mandrakesoft.com> 1.2.12-1mdk
- 1.2.12
- update the patches

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5
- add the frame-rate patch to fix a disconnection timeout

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.2.4-1mdk
- 1.2.4

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 1.1.36-6mdk
- update the fix patch

* Mon Sep 10 2001 Florin <florin@mandrakesoft.com> 1.1.36-5mdk
- add the fix patch

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.36-4mdk
- BuildRequires:	flex
- remove BuildRequires:	libstdc++-devel

* Wed Aug 29 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-3mdk
- link with libstdc++ (modify the fix patch)

* Mon Aug 20 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-2mdk
- the make patch fix the compilation with -lpt
- correction on the Group entry

* Tue Aug 14 2001 Florin Grad <florin@mandrakesoft.com> 1.1.36-1mdk
- 1.1.36
- update the make patch

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.34-1mdk
- 1.1.34 (regenerated patch 0 and 1, removed patch 3 integrated upstream)

* Sat Jun 23 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.33-1mdk
- 1.1.33

*  Sun Jun  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.19-5mdk
- Add patch to fix build on newer gccs.

* Fri Mar 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-4mdk
- PPC: build with gcc
- Requires: %%version-%%release and not only %%version

* Mon Jan 22 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-3mdk
- Fix build on PPC
- Bzip2 sources

* Sun Jan 21 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.19-2mdk
- Fix %%changelog to allow automatic rebuild
- Add description for SRPM package

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.19-1mdk
- first Linux-Mandrake version
